Subject: Re: Timed out waiting for reply from selection owner

From: Stefan Monnier <[email-masked]>
Date: Wed, 25 Jun 2014 15:56:54 -0400

> If it times out, it is because we don't get the PropertyNotify we expect.
> There is some TRACE one can turn on in xselect.c by defining TRACE_SELECTION.

Also, some people said that during the "idle time before the timeout",
Emacs uses up 100% of CPU, so it's probably looping madly around *select
being told something arrived but failing to read it or something.
Maybe the "Timed out waiting for reply from selection owner" message
could set a global var which then causes the next call to get the
selection to let-bind another variable which causes us to spew all kind
of data about how *select was called and why it returned.

        Stefan